#!/usr/bin/perl
 
########################################################################
# COPYRIGHT NOTICE:
#
# Copyright 2008 FocalMedia.Net All Rights Reserved.
#
# Selling the code for this program without prior written consent 
# from FocalMedia.Net is expressly forbidden. You may not 
# redistribute this program in any shape or form.
# 
# This program is distributed "as is" and without warranty of any
# kind, either express or implied. In no event shall the liability 
# of FocalMedia.Net for any damages, losses and/or causes of action 
# exceed the total amount paid by the user for this software.
#
########################################################################

#### EDIT HERE -- FOR WINDOWS/IIS BASED INSTALLATIONS ONLY #######

$config_cgi = "../config.cgi"; ## <-- CHANGE THIS LINE TO THE FULL SERVER PATH TO config.cgi

# THE PATH ON A WINDOWS INSTALLATION WILL LOOK SOMETHING LIKE THIS:
# $config_cgi = "c:/inetpub/webpub/cgi-bin/pseek/config.cgi";

#### DO NOT CHANGE ANYTHING BELOW THIS LINE #################


#use FindBin;
#use lib $FindBin::Bin;
use CGI;
use DBI;
use acs;

&get_setup;
$q = CGI->new;

acs::check_access($username, $password, $q->param('username'), $q->param('password'));

##################################################################################

print "Content-type: text/html\n\n";
if ($q->param('fct') eq "dir_templates")	{ &dir_templates; }
if ($q->param('fct') eq "search_results")	{ &search_results; }
if ($q->param('fct') eq "add_url_tmpls")	{ &add_url_tmpls; }
if ($q->param('fct') eq "add_url_tmpls2")	{ &add_url_tmpls2; }
if ($q->param('fct') eq "ratings_templates")	{ &ratings_templates; }
if ($q->param('fct') eq "comments")	{ &comments; }
if ($q->param('fct') eq "whatsnew")	{ &whatsnew; }
if ($q->param('fct') eq "tophits")	{ &tophits; }
if ($q->param('fct') eq "broke_templ")	{ &broke_templ; }
if ($q->param('fct') eq "mail_remove")	{ &mail_remove; }
if ($q->param('fct') eq "favorites")	{ &favorites; }



####################################################################################
sub favorites
{

print qq[

<table border="0" cellspacing="0" width="100%" cellpadding="0">
  <tr>
    <td height="25" colspan="2" class="normaltext"><strong>Template Name: </strong>(Click to
    Edit)</td>
    <td width="35%" class="normaltext"><strong>File Name</strong></td>
    <td width="10%" align="center" class="normaltext"><strong>Preview</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10"
    height="11" border="0"></td>
    <td width="50%" height="25" class="normaltext"><a
    onClick="popup('$admin_url/admin6.cgi?fct=edit_template&amp;template=fav_main',screen.width-200,screen.height-200);return false;"
    href="$admin_url/admin6.cgi?fct=edit_template&amp;template=fav_main"><strong>Main
    Favorites</strong></a></td>
    <td class="normaltext">fav_main.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=93"
    target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"
    border="0"></td>
    <td height="25" class="normaltext"><a
    href="$admin_url/admin6.cgi?fct=edit_template&amp;template=fav_standard"
    onClick="popup('$admin_url/admin6.cgi?fct=edit_template&amp;template=fav_standard',screen.width-200,screen.height-200);return false;"><strong>Favorites
    Link Style</strong></a></td>
    <td class="normaltext">fav_standard.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=94"
    target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"
    border="0"></td>
    <td height="25" class="normaltext"><a
    href="$admin_url/admin6.cgi?fct=edit_template&amp;template=fav_premium"
    onClick="popup('$admin_url/admin6.cgi?fct=edit_template&amp;template=fav_premium',screen.width-200,screen.height-200);return false;"><strong>Favorites
    Premium Link Style</strong></a></td>
    <td class="normaltext">fav_premium.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=95"
    target="_blank">Preview</a></td>
  </tr>
  <tr>
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"
    border="0"></td>
    <td height="25" class="normaltext"><strong><a
    href="$admin_url/admin6.cgi?fct=edit_template&amp;template=fav_none"
    onClick="popup('$admin_url/admin6.cgi?fct=edit_template&amp;template=fav_none',screen.width-200,screen.height-200);return false;">No
    Favorites Added Yet</a></strong></td>
    <td class="normaltext">fav_none.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=96"
    target="_blank">Preview</a></td>
  </tr>
</table>


];

}



sub mail_remove
{

print qq[

<BR>
<table border="0" cellspacing="0" width="100%" cellpadding="0">
  <tr>
    <td height="25" colspan="2" class="normaltext"><strong>Template Name: </strong>(Click      to Edit)</td>
    <td width="35%" class="normaltext"><strong>File Name</strong></td>
    <td width="10%" align="center" class="normaltext"><strong>Preview</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td width="50%" height="25" class="normaltext"><strong><a onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=mlist1',screen.width-200,screen.height-200);return false;" href="$admin_url/admin6.cgi?fct=edit_template&template=mlist1">Mailing List Removal   Template</a></strong></td>
    <td class="normaltext">mlist1.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=34" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=mlist2" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=mlist2',screen.width-200,screen.height-200);return false;">Mailing   List Removal Problem</a></strong></td>
    <td class="normaltext">mlist2.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=35" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=mlist3" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=mlist3',screen.width-200,screen.height-200);return false;">Mailing   List Removal Success</a></strong></td>
    <td class="normaltext">mlist3.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=36" target="_blank">Preview</a></td>
  </tr>
</table>

];

}



sub broke_templ
{

print qq[<BR>
<table border="0" cellspacing="0" width="100%" cellpadding="0">
  <tr>
    <td height="25" colspan="2" class="normaltext"><strong>Template Name: </strong>(Click      to Edit)</td>
    <td width="35%" class="normaltext"><strong>File Name</strong></td>
    <td width="10%" align="center" class="normaltext"><strong>Preview</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td width="50%" height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=brokenlink" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=brokenlink',screen.width-200,screen.height-200);return false;">Broken   Link Page</a></strong></td>
    <td class="normaltext">brokenlink.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=32" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=brokenlink_success" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=brokenlink_success',screen.width-200,screen.height-200);return false;">Successfully   Reported Broken Link Page</a></strong></td>
    <td class="normaltext">brokenlink_success.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=33" target="_blank">Preview</a></td>
  </tr>
</table>
];

}





sub tophits
{

print qq[<BR>
<table border="0" cellspacing="0" width="100%" cellpadding="0">
  <tr>
    <td height="25" colspan="2" class="normaltext"><strong>Template Name: </strong>(Click      to Edit)</td>
    <td width="35%" class="normaltext"><strong>File Name</strong></td>
    <td width="10%" align="center" class="normaltext"><strong>Preview</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td width="50%" height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=tophits_main" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=tophits_main',screen.width-200,screen.height-200);return false;">Main   Top Hits Page</a></strong></td>
    <td class="normaltext">tophits_main.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=29" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=tophits_listings" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=tophits_listings',screen.width-200,screen.height-200);return false;">Top   Hits Listings Style</a></strong></td>
    <td class="normaltext">tophits_listings.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=30" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=tophits_listings_prem" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=tophits_listings_prem',screen.width-200,screen.height-200);return false;">Top   Hits Listings Premium Style</a></strong></td>
    <td class="normaltext">tophits_listings_prem.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=31" target="_blank">Preview</a></td>
  </tr>
</table>
];



}




sub whatsnew
{

print qq[<BR>
<table border="0" cellspacing="0" width="100%" cellpadding="0">
  <tr>
    <td height="25" colspan="2" class="normaltext"><strong>Template Name: </strong>(Click      to Edit)</td>
    <td width="35%" class="normaltext"><strong>File Name</strong></td>
    <td width="10%" align="center" class="normaltext"><strong>Preview</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td width="50%" height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=whatsnew_main" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=whatsnew_main',screen.width-200,screen.height-200);return false;">Main   What's New Page</a></strong></td>
    <td class="normaltext">whatsnew_main.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=26" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=whatsnew_lists" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=whatsnew_lists',screen.width-200,screen.height-200);return false;">What's   New Listings Style</a></strong></td>
    <td class="normaltext">whatsnew_lists.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=27" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=whatsnew_lists_prem" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=whatsnew_lists_prem',screen.width-200,screen.height-200);return false;">What's   New Listings Premium Style</a></strong></td>
    <td class="normaltext">whatsnew_lists_prem.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=28" target="_blank">Preview</a></td>
  </tr>
</table>
];

}


sub comments
{

print qq[

<BR>

<table border="0" cellspacing="0" width="100%" cellpadding="0">
  <tr>
    <td height="25" colspan="2" class="normaltext"><strong>Template Name: </strong>(Click      to Edit)</td>
    <td width="35%" class="normaltext"><strong>File Name</strong></td>
    <td width="10%" align="center" class="normaltext"><strong>Preview</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td width="50%" height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=review_it" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=review_it',screen.width-200,screen.height-200);return false;">Main   Comment/Review Page</a></strong></td>
    <td class="normaltext">review_it.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=22" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=reviewlinks" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=reviewlinks',screen.width-200,screen.height-200);return false;">Comment/Review   Listings Style</a></strong></td>
    <td class="normaltext">reviewlinks.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=23" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=reviewadded" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=reviewadded',screen.width-200,screen.height-200);return false;">Comment/Review   Added</a></strong></td>
    <td class="normaltext">reviewadded.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=24" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=reviewproblem" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=reviewproblem',screen.width-200,screen.height-200);return false;">Comment/Review   Problem</a></strong></td>
    <td class="normaltext">reviewproblem.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=25" target="_blank">Preview</a></td>
  </tr>
</table>

];

}




sub ratings_templates
{

print qq[

<BR>
<table border="0" cellspacing="0" width="100%" cellpadding="0">
  <tr>
    <td height="25" colspan="2" class="normaltext"><strong>Template Name: </strong>(Click      to Edit)</td>
    <td width="35%" class="normaltext"><strong>File Name</strong></td>
    <td width="10%" align="center" class="normaltext"><strong>Preview</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td width="50%" height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=rate_it" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=rate_it',screen.width-200,screen.height-200);return false;">Main   Rating Page</a></strong></td>
    <td class="normaltext">rate_it.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=18" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=rate_it_success" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=rate_it_success',screen.width-200,screen.height-200);return false;">Successfully   Rated</a></strong></td>
    <td class="normaltext">rate_it_success.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=19" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=rate_it_fail" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=rate_it_fail',screen.width-200,screen.height-200);return false;">Failed   Rating</a></strong></td>
    <td class="normaltext">rate_it_fail.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=20" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=gethtml" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=gethtml',screen.width-200,screen.height-200);return false;">Get   HTML Code</a></strong></td>
    <td class="normaltext">gethtml.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=21" target="_blank">Preview</a></td>
  </tr>
</table>



];


}



sub add_url_tmpls2
{

$gsettings = new_gsettings acs; 

if ($gsettings->{add_url_form} eq "medium")
	{
	$medium_sized = "<b>(In Use)</b>";
	$large_sized = "<b>(Not In Use)</b>";
	$add_urlinst = "<b>(Not In Use)</b>";
	}
	else
	{
	$large_sized = "<b>(In Use)</b>";
	$medium_sized = "<b>(Not In Use)</b>";
	$add_urlinst = "<b>(In Use)</b>";
	}


print qq[
<BR>





<table border="0" cellspacing="0" width="100%" cellpadding="0">
  <tr>
    <td height="25" colspan="2" class="normaltext"><strong> Templates:</strong> (Click to Edit)</td>
    <td width="35%" class="normaltext"><strong>File
    Name: </strong></td>
    <td width="10%" class="normaltext" align="center"><strong>Preview:</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td width="50%" height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=add_url_med" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=add_url_med',screen.width-200,screen.height-200);return false;">Add   URL Template 1</a></strong>(Medium-Sized Search Engines) <strong>$medium_sized</strong></td>
    <td width="35%" class="normaltext">add_url_med.html</td>
    <td width="10%" class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=37" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=add_url" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=add_url',screen.width-200,screen.height-200);return false;">Add   URL Template 2</a></strong> (Large-Sized Search Engines) <strong>$large_sized</strong></td>
    <td class="normaltext">add_url.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=38" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=add_url_medp" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=add_url_medp',screen.width-200,screen.height-200);return false;">Paid    Add URL Template 1 </a></strong>(Medium-Sized Search Engines) <strong>$medium_sized</strong></td>
    <td class="normaltext">add_url_medp.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=40" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=add_urlp" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=add_urlp',screen.width-200,screen.height-200);return false;">Paid    Add URL Template 2 </a></strong>(Large-Sized Search Engines)<strong> $large_sized</strong></td>
    <td class="normaltext">add_urlp.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=39" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=add_url_instructions" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=add_url_instructions',screen.width-200,screen.height-200);return false;">Add   URL Instructions</a></strong><strong> $add_urlinst</strong></td>
    <td class="normaltext">add_url_instructions.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=41" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=locked" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=locked',screen.width-200,screen.height-200);return false;">Locked   Category/Directory</a></strong></td>
    <td class="normaltext">locked.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=42" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=add_url_problem" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=add_url_problem',screen.width-200,screen.height-200);return false;">Problem   Page</a></strong></td>
    <td class="normaltext">add_url_problem.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=43" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=add_url_success" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=add_url_success',screen.width-200,screen.height-200);return false;">Success   Page</a></strong></td>
    <td class="normaltext">add_url_success.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=44" target="_blank">Preview</a></td>
  </tr>
  <tr>
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin23.cgi" onClick="popup('$admin_url/admin23.cgi',screen.width-200,screen.height-200);return false;">Premium Add URL Order Form </a></strong>(Link to your order processor)</td>
    <td class="normaltext">&nbsp;</td>
    <td class="normaltext" align="center">&nbsp;</td>
  </tr>
  <tr>
    <td align="right" class="normaltext">&nbsp;</td>
    <td height="25" class="normaltext">&nbsp;</td>
    <td class="normaltext">&nbsp;</td>
    <td class="normaltext" align="center">&nbsp;</td>
  </tr>
  <tr>
    <td height="25" colspan="4" class="normaltext"><strong>Standard Modify Template Plug Ins </strong></td>
  </tr>
  <tr>
    <td height="25" colspan="4" class="normaltext">These templates are used when users go through the process of modifying submitted links.</td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=modify_link" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=modify_link',screen.width-200,screen.height-200);return false;">Main   Modify Link Page</a></strong></td>
    <td class="normaltext">modify_link.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=46" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=modify_link_problem" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=modify_link_problem',screen.width-200,screen.height-200);return false;">Modify   Link Problem</a></strong></td>
    <td class="normaltext">modify_link_problem.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=47" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=modify_link_success" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=modify_link_success',screen.width-200,screen.height-200);return false;">Modify   Link Success</a></strong></td>
    <td class="normaltext">modify_link_success.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=48" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=modify_link_edit" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=modify_link_edit',screen.width-200,screen.height-200);return false;">Modify/Edit   Link Standard</a></strong></td>
    <td class="normaltext">modify_link_edit.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=49" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=modify_link_editp" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=modify_link_editp',screen.width-200,screen.height-200);return false;">Modify/Edit   Link Premium</a></strong></td>
    <td class="normaltext">modify_link_editp.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=50" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=modify_instructions" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=modify_instructions',screen.width-200,screen.height-200);return false;">Modify/Edit   Instructions</a></strong></td>
    <td class="normaltext">modify_instructions.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=51" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=retrievepass" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=retrievepass',screen.width-200,screen.height-200);return false;">Retrieve   Password</a></strong></td>
    <td class="normaltext">retrievepass.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=52" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=retrievepass_ok" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=retrievepass_ok',screen.width-200,screen.height-200);return false;">Retrieve   Password Success</a></strong></td>
    <td class="normaltext">retrievepass_ok.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=53" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=retrievepass_prb" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=retrievepass_prb',screen.width-200,screen.height-200);return false;">Retrieve   Password Problem</a></strong></td>
    <td class="normaltext">retrievepass_prb.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=54" target="_blank">Preview</a></td>
  </tr>
</table>




];


}



sub add_url_tmpls
{


$gsettings = new_gsettings acs; 

if ($gsettings->{add_url_form} eq "medium")
	{
	$medium_sized = "<b>(In Use)</b>";
	$large_sized = "<b>(Not In Use)</b>";
	$add_urlinst = "<b>(Not In Use)</b>";
	}
	else
	{
	$large_sized = "<b>(In Use)</b>";
	$medium_sized = "<b>(Not In Use)</b>";
	$add_urlinst = "<b>(In Use)</b>";
	}


if ($gsettings->{new_account_validation} eq "Yes")
	{
	$ratit_text = "Users are required to register an account to be able to rate listings";
	}
	else
	{
	$ratit_text = "Users are not required to register an account to be able to rate listings";
	}

if ($gsettings->{comments_reg_system} eq "Yes")
	{
	$comm_text = "Users are required to register an account to be able to post comments to listings";
	}
	else
	{
	$comm_text = "Users are not required to register an account to be able to post comments to listings";
	}





print qq[

<BR>
<table border="0" cellspacing="0" width="100%" cellpadding="0">
  <tr>
    <td height="25" colspan="4" class="normaltext"><strong>Account Creation &amp; Account Template Plug Ins:</strong><strong>File
    Name: </strong><strong>Preview:</strong></td>
  </tr>
  <tr>
    <td height="25" colspan="4" class="normaltext">These templates are used when users go through the process of creating an account and   viewing his/her links from the account area.</td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td width="50%" height="25" class="normaltext"> <a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_msgregister" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_msgregister',screen.width-200,screen.height-200);return false;"><strong>Add URL Registration Message</strong></a></td>
    <td width="35%" class="normaltext">rgs_msgregister.html</td>
    <td width="10%" class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=55" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_register" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_register',screen.width-200,screen.height-200);return false;">New   User Registration</a></strong></td>
    <td class="normaltext">rgs_register.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=56" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_regsuccess" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_regsuccess',screen.width-200,screen.height-200);return false;">Successfully   Registered</a></strong></td>
    <td class="normaltext">rgs_regsuccess.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=57" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_regsuccess" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_regsuccess',screen.width-200,screen.height-200);return false;"></a><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_actsuccess" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_actsuccess',screen.width-200,screen.height-200);return false;">Account   Activation Successfull</a></strong></td>
    <td class="normaltext">rgs_actsuccess.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=58" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_regsuccess" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_regsuccess',screen.width-200,screen.height-200);return false;"></a><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_actfailed" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_actfailed',screen.width-200,screen.height-200);return false;">Account   Activation Failed</a></strong></td>
    <td class="normaltext">rgs_actfailed.htm</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=59" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_resend" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_resend',screen.width-200,screen.height-200);return false;">Resend   Account Activation Email</a></strong></td>
    <td class="normaltext">rgs_resend.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=60" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_sent" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_sent',screen.width-200,screen.height-200);return false;">Account   Activation Email Sent </a></strong></td>
    <td class="normaltext">rgs_sent.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=61" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_login" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_login',screen.width-200,screen.height-200);return false;">User   Login</a></strong></td>
    <td class="normaltext">rgs_login.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=62" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_logout" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_logout',screen.width-200,screen.height-200);return false;">User   Log Out</a></strong></td>
    <td class="normaltext">rgs_logout.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=63" target="_blank">Preview</a></td>
  </tr>
  <tr>
    <td align="right" class="normaltext">&nbsp;</td>
    <td height="25" class="normaltext">&nbsp;</td>
    <td class="normaltext">&nbsp;</td>
    <td class="normaltext" align="center">&nbsp;</td>
  </tr>
  <tr>
    <td height="25" colspan="4" class="normaltext"><strong>Password Retrieval Templates </strong></td>
  </tr>
  <tr>
    <td height="25" colspan="4" class="normaltext">These templates are used for the display's to retrieve user names and passwords.</td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_retrievepass" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_retrievepass',screen.width-200,screen.height-200);return false;">Retrieve   Password</a></strong></td>
    <td class="normaltext">rgs_retrievepass.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=64" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_retrievepass_ok" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_retrievepass_ok',screen.width-200,screen.height-200);return false;">Retrieve   Password Success </a></strong></td>
    <td class="normaltext">rgs_retrievepass_ok.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=65" target="_blank">Preview</a></td>
  </tr>
  <tr>
    <td align="right" class="normaltext">&nbsp;</td>
    <td height="25" class="normaltext">&nbsp;</td>
    <td class="normaltext">&nbsp;</td>
    <td class="normaltext" align="center">&nbsp;</td>
  </tr>
  <tr>
    <td height="25" colspan="4" class="normaltext"><strong>Control Panel Templates </strong></td>
  </tr>
  <tr>
    <td height="25" colspan="4" class="normaltext">These templates are displayed after a user logs into his/her account.</td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_cpmain" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_cpmain',screen.width-200,screen.height-200);return false;">Main   Control Panel</a></strong></td>
    <td class="normaltext">rgs_cpmain.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=66" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_acclinks" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_acclinks',screen.width-200,screen.height-200);return false;">Account   Links Style</a></strong></td>
    <td class="normaltext">rgs_acclinks.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=67" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_acclinksp" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_acclinksp',screen.width-200,screen.height-200);return false;">Account   Premium Links Style</a></strong></td>
    <td class="normaltext">rgs_acclinksp.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=68" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_nolinks" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_nolinks',screen.width-200,screen.height-200);return false;">No   Links Display</a></strong></td>
    <td class="normaltext">rgs_nolinks.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=69" target="_blank">Preview</a></td>
  </tr>
  <tr>
    <td class="normaltext">&nbsp;</td>
    <td height="25" class="normaltext">&nbsp;</td>
    <td class="normaltext">&nbsp;</td>
    <td class="normaltext" align="center">&nbsp;</td>
  </tr>
  <tr>
    <td height="25" colspan="4" class="normaltext"><strong>Account Editing Templates </strong></td>
  </tr>
  <tr>
    <td height="25" colspan="4" class="normaltext">These templates are used when a user wants to update his/her account details.</td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_editacc" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_editacc',screen.width-200,screen.height-200);return false;">Edit   Account Details</a></strong></td>
    <td class="normaltext">rgs_editacc.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=70" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_saveacc" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_saveacc',screen.width-200,screen.height-200);return false;">Succesfully   Saved Account Details</a></strong></td>
    <td class="normaltext">rgs_saveacc.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=71" target="_blank">Preview</a></td>
  </tr>
  <tr>
    <td class="normaltext">&nbsp;</td>
    <td height="25" class="normaltext">&nbsp;</td>
    <td class="normaltext">&nbsp;</td>
    <td class="normaltext" align="center">&nbsp;</td>
  </tr>
  <tr>
    <td height="25" colspan="4" class="normaltext"><strong>User Registration System Add URL Templates</strong></td>
  </tr>
  <tr>
    <td height="25" colspan="4" class="normaltext">These templates are used when users submit links for inclussion into the Index.</td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_add_url_med" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_add_url_med',screen.width-200,screen.height-200);return false;">Add   URL Template 1</a> </strong>(Medium-Sized Search Engines) <strong>$medium_sized</strong></td>
    <td class="normaltext">rgs_add_url_med.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=72" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_add_url" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_add_url',screen.width-200,screen.height-200);return false;">Add   URL Template 2</a>  </strong>(Large-Sized Search Engines)<strong> $large_sized</strong></td>
    <td class="normaltext">rgs_add_url.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=73" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_add_url_medp" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_add_url_medp',screen.width-200,screen.height-200);return false;">Paid Add URL Template 1</a> </strong>(Medium-Sized Search Engines)<strong> $medium_sized</strong></td>
    <td class="normaltext">rgs_add_url_medp.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=74" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_add_urlp" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_add_urlp',screen.width-200,screen.height-200);return false;">Paid Add URL Template 2 </a></strong> (Large-Sized Search Engines) <strong>$large_sized</strong></td>
    <td class="normaltext">rgs_add_urlp.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=75" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_add_url_instructions" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_add_url_instructions',screen.width-200,screen.height-200);return false;">Add   URL Instructions </a>$add_urlinst</strong></td>
    <td class="normaltext">rgs_add_url_instructions.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=76" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_locked" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_locked',screen.width-200,screen.height-200);return false;">Locked   Category/Directory</a></strong></td>
    <td class="normaltext">rgs_locked.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=77" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_add_url_problem" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_add_url_problem',screen.width-200,screen.height-200);return false;">Problem   Page</a></strong></td>
    <td class="normaltext">rgs_add_url_problem.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=78" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_add_url_success" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_add_url_success',screen.width-200,screen.height-200);return false;">Success   Page</a></strong></td>
    <td class="normaltext">rgs_add_url_success.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=79" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin23.cgi" onClick="popup('$admin_url/admin23.cgi',screen.width-200,screen.height-200);return false;">Premium Add URL Order Form</a></strong> (Link to your order processor)</td>
    <td class="normaltext">&nbsp;</td>
    <td class="normaltext" align="center">&nbsp;</td>
  </tr>
  <tr>
    <td align="right" class="normaltext">&nbsp;</td>
    <td height="25" class="normaltext">&nbsp;</td>
    <td class="normaltext">&nbsp;</td>
    <td class="normaltext" align="center">&nbsp;</td>
  </tr>
  <tr>
    <td height="25" colspan="4" class="normaltext"><strong>User Registration System Modify Templates</strong></td>
  </tr>
  <tr>
    <td height="25" colspan="4" class="normaltext">These templates are used when users go through the process of modifying submitted links.</td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_modify_link_edit" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_modify_link_edit',screen.width-200,screen.height-200);return false;">Modify/Edit   Link Standard</a></strong></td>
    <td class="normaltext">rgs_modify_link_edit.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=86" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_modify_link_editp" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_modify_link_editp',screen.width-200,screen.height-200);return false;">Modify/Edit   Link Premium</a></strong></td>
    <td class="normaltext">rgs_modify_link_editp.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=87" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_modify_link_problem" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_modify_link_problem',screen.width-200,screen.height-200);return false;">Modify   Link Problem</a></strong></td>
    <td class="normaltext">rgs_modify_link_problem.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=88" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_modify_link_success" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_modify_link_success',screen.width-200,screen.height-200);return false;">Modify   Link Success</a></strong></td>
    <td class="normaltext">rgs_modify_link_success.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=89" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11" border="0"> </td>
    <td height="25" class="normaltext"><strong><a href="$admin_url/admin57.cgi?fct=edit_template&template=rgs_modify_instructions" onClick="popup('$admin_url/admin57.cgi?fct=edit_template&template=rgs_modify_instructions',screen.width-200,screen.height-200);return false;">Modify/Edit   Instructions</a></strong></td>
    <td class="normaltext">rgs_modify_instructions.html</td>
    <td class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=90" target="_blank">Preview</a></td>
  </tr>
  <tr>
    <td align="right" class="normaltext">&nbsp;</td>
    <td height="25" class="normaltext">&nbsp;</td>
    <td class="normaltext">&nbsp;</td>
    <td class="normaltext" align="center">&nbsp;</td>
  </tr>
  <tr>
    <td height="25" colspan="4" class="normaltext"><strong>Rating &amp; Comments Registration Templates </strong></td>
  </tr>

  <tr>
    <td height="40" colspan="4" class="normaltext">You can enable or disable the requirement 
    of users being registered or not to rate listings or post comments to listings. <br>
    This setting can be set from the <strong>Control Panel &gt;&gt; Settings &gt;&gt; Global 
    Engine Settings &gt;&gt; 5. New Submission Settings</strong><p><strong>The setting 
    currently in use is as follows:</strong><ul>
      <li>$ratit_text</li>
      <li>$comm_text</li>
    </ul>
    </td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"
    border="0"> </td>
    <td height="25" class="normaltext"><a
    href="$admin_url/admin57.cgi?fct=edit_template&amp;template=rgs_rcomment"
    onClick="popup('$admin_url/admin57.cgi?fct=edit_template&amp;template=rgs_rcomment',screen.width-200,screen.height-200);return false;"><strong>Registration 
    Required to Post a Comment Page</strong></a></td>
    <td class="normaltext">rgs_rcomment.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=91"
    target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"
    border="0"> </td>
    <td height="25" class="normaltext"><a
    href="$admin_url/admin57.cgi?fct=edit_template&amp;template=rgs_rrate"
    onClick="popup('$admin_url/admin57.cgi?fct=edit_template&amp;template=rgs_rrate',screen.width-200,screen.height-200);return false;"><strong>Registration 
    Required to Rate a Link</strong></a></td>
    <td class="normaltext">rgs_rrate.html</td>
    <td class="normaltext" align="center"><a href="$admin_url/admin68.cgi?id=92"
    target="_blank">Preview</a></td>
  </tr>


</table>

];

}





sub search_results
{

print qq[
<BR>

<table border="0" cellspacing="0" width="100%" cellpadding="0">
  <tr>
    <td height="25" colspan="2" class="normaltext"><strong>Search Restult Templates:</strong> (Click to Edit)</td>
    <td width="35%" class="normaltext"><strong>File
    Name: </strong></td>
    <td width="10%" class="normaltext" align="center"><strong>Preview:</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td width="50%" height="25" class="normaltext"><a
    href="$admin_url/admin6.cgi?fct=edit_template&amp;template=searchres"
    onClick="popup('$admin_url/admin6.cgi?fct=edit_template&amp;template=searchres',screen.width-200,screen.height-200);return false;"><strong>Main Search Page</strong></a></td>
    <td width="35%" class="normaltext">searchres.html</td>
    <td width="10%" class="normaltext" align="center"><a
    href="$admin_url/admin68.cgi?id=10" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td width="50%" height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=searchadv" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=searchadv',screen.width-200,screen.height-200);return false;">Advanced   Search Page</a></strong></td>
    <td width="35%" class="normaltext">searchadv.html</td>
    <td width="10%" align="center" class="normaltext"><a
    href="$admin_url/admin68.cgi?id=11" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td width="50%" height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=lsearchres_loc" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=lsearchres_loc',screen.width-200,screen.height-200);return false;">Links   Style</a></strong></td>
    <td width="35%" class="normaltext">lsearchres_loc.html</td>
    <td width="10%" align="center" class="normaltext"><a
    href="$admin_url/admin68.cgi?id=12" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td width="50%" height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=lsearchres_loc_prem" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=lsearchres_loc_prem',screen.width-200,screen.height-200);return false;">Premium   Links Style</a></strong></td>
    <td width="35%" class="normaltext">lsearchres_loc_prem.html</td>
    <td width="10%" align="center" class="normaltext"><a
    href="$admin_url/admin68.cgi?id=13" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td width="50%" height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=nomatch" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=nomatch',screen.width-200,screen.height-200);return false;">No   Match</a></strong></td>
    <td width="35%" class="normaltext">nomatch.html</td>
    <td width="10%" align="center" class="normaltext"><a
    href="$admin_url/admin68.cgi?id=14" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td width="50%" height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=flood" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=flood',screen.width-200,screen.height-200);return false;">Flood   Control Template</a></strong></td>
    <td width="35%" class="normaltext">flood.html</td>
    <td width="10%" align="center" class="normaltext"><a
    href="$admin_url/admin68.cgi?id=15" target="_blank">Preview</a></td>
  </tr>

  <tr>
    <td colspan="2" class="normaltext"></td>
    <td class="normaltext">&nbsp;</td>
    <td align="center" class="normaltext">&nbsp;</td>
  </tr>
 
  <tr>
    <td height="25" colspan="2" class="normaltext"><strong>Directory Search Result Templates:</strong> (Click to Edit)</td>
    <td class="normaltext">&nbsp;</td>
    <td align="center" class="normaltext">&nbsp;</td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td width="50%" height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=searchresdir" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=searchresdir',screen.width-200,screen.height-200);return false;">Main   Directory Search Page</a></strong></td>
    <td width="35%" class="normaltext">searchresdir.html</td>
    <td width="10%" align="center" class="normaltext"><a
    href="$admin_url/admin68.cgi?id=16" target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img src="$web_url/lar3.gif" width="10" height="11"></td>
    <td width="50%" height="25" class="normaltext"><strong><a href="$admin_url/admin6.cgi?fct=edit_template&template=lsearchres_locdir" onClick="popup('$admin_url/admin6.cgi?fct=edit_template&template=lsearchres_locdir',screen.width-200,screen.height-200);return false;">Directory   Links Style</a></strong></td>
    <td width="35%" class="normaltext">lsearchres_locdir.html</td>
    <td width="10%" align="center" class="normaltext"><a
    href="$admin_url/admin68.cgi?id=17" target="_blank">Preview</a></td>
  </tr>
</table>


];

}




sub dir_templates
{





$nr=0;
opendir(DIR,"$data_dir");
	@files = readdir(DIR);
	@files = sort(@files);
	foreach $filename (@files)
		{
		if (substr($filename, length($filename) - 11, 11) eq "-1ctst\.html")
			{
			$nr++;
			}
		}

print qq[

<BR>



<table border="0" cellspacing="0" width="100%" cellpadding="0">
  <tr>
    <td height="25" colspan="2" class="normaltext"><strong>Template Name: </strong>(Click
    to Edit)</td>
    <td width="35%" class="normaltext"><strong>File Name</strong><a
    href="$admin_url/admin68.cgi?id=55" target="_blank"></a></td>
    <td width="10%" align="center" class="normaltext"><strong>Preview</strong></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td width="5%" align="right" class="normaltext"><img
    src="$web_url/lar3.gif" width="10" height="11" border="0"></td>
    <td width="50%" height="25" class="normaltext"><a
    href="$admin_url/admin6.cgi?fct=edit_template&amp;template=defdir"
    onClick="popup('$admin_url/admin6.cgi?fct=edit_template&amp;template=defdir',screen.width-200,screen.height-200);return false;"><strong>Main
    Category/Directory</strong></a></td>
    <td class="normaltext">defdir.html</td>
    <td align="center" class="normaltext"><a href="$admin_url/admin68.cgi?id=1"
    target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif"
    width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a
    href="$admin_url/admin6.cgi?fct=edit_template&amp;template=tmplsearch"
    onClick="popup('$admin_url/admin6.cgi?fct=edit_template&amp;template=tmplsearch',screen.width-200,screen.height-200);return false;">Links
    Style</a></strong></td>
    <td class="normaltext">tmplsearch.html</td>
    <td align="center" class="normaltext"><a href="$admin_url/admin68.cgi?id=2"
    target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif"
    width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a
    href="$admin_url/admin6.cgi?fct=edit_template&amp;template=tmplsearch_prem"
    onClick="popup('$admin_url/admin6.cgi?fct=edit_template&amp;template=tmplsearch_prem',screen.width-200,screen.height-200);return false;">Premium
    Links Style</a></strong></td>
    <td class="normaltext">tmplsearch_prem.html</td>
    <td align="center" class="normaltext"><a href="$admin_url/admin68.cgi?id=3"
    target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif"
    width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a
    href="$admin_url/admin6.cgi?fct=edit_template&amp;template=subdirs"
    onClick="popup('$admin_url/admin6.cgi?fct=edit_template&amp;template=subdirs',screen.width-200,screen.height-200);return false;">Sub
    Categories/Directories Style 1</a></strong></td>
    <td class="normaltext">subdirs.html</td>
    <td align="center" class="normaltext"><a href="$admin_url/admin68.cgi?id=4"
    target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif"
    width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a
    href="$admin_url/admin6.cgi?fct=edit_template&amp;template=directories1"
    onClick="popup('$admin_url/admin6.cgi?fct=edit_template&amp;template=directories1',screen.width-200,screen.height-200);return false;">Sub
    Categories/Directories Style 2</a></strong></td>
    <td class="normaltext">directories1.html</td>
    <td align="center" class="normaltext"><a href="$admin_url/admin68.cgi?id=5"
    target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif"
    width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a
    href="$admin_url/admin6.cgi?fct=edit_template&amp;template=related1"
    onClick="popup('$admin_url/admin6.cgi?fct=edit_template&amp;template=related1',screen.width-200,screen.height-200);return false;">Related
    Categories/Directories Style 1</a></strong></td>
    <td class="normaltext">related1.html</td>
    <td align="center" class="normaltext"><a href="$admin_url/admin68.cgi?id=6"
    target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif"
    width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a
    href="$admin_url/admin6.cgi?fct=edit_template&amp;template=related2"
    onClick="popup('$admin_url/admin6.cgi?fct=edit_template&amp;template=related2',screen.width-200,screen.height-200);return false;">Related
    Categories/Directories Style 2</a></strong></td>
    <td class="normaltext">related2.html</td>
    <td align="center" class="normaltext"><a href="$admin_url/admin68.cgi?id=7"
    target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif"
    width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a
    href="$admin_url/admin6.cgi?fct=edit_template&amp;template=linkinfo"
    onClick="popup('$admin_url/admin6.cgi?fct=edit_template&amp;template=linkinfo',screen.width-200,screen.height-200);return false;">Link
    Info</a></strong></td>
    <td class="normaltext">linkinfo.html</td>
    <td align="center" class="normaltext"><a href="$admin_url/admin68.cgi?id=8"
    target="_blank">Preview</a></td>
  </tr>
  <tr onMouseOver="this.bgColor='#F7F7F7';" onMouseOut="this.bgColor='#FFFFFF';">
    <td align="right" class="normaltext"><img src="$web_url/lar3.gif"
    width="10" height="11" border="0"></td>
    <td height="25" class="normaltext"><strong><a
    href="$admin_url/admin6.cgi?fct=edit_template&amp;template=linkinfop"
    onClick="popup('$admin_url/admin6.cgi?fct=edit_template&amp;template=linkinfop',screen.width-200,screen.height-200);return false;">Link
    Info Premium</a></strong></td>
    <td class="normaltext">linkinfop.html</td>
    <td align="center" class="normaltext"><a href="$admin_url/admin68.cgi?id=9"
    target="_blank">Preview</a></td>
  </tr>
</table>




<p><img src="$web_url/lar4.gif" width="10" height="11"><strong><a href="$admin_url/admin27.cgi" onClick="popup('$admin_url/admin27.cgi',screen.width-200,screen.height-200);return false;">Create or Edit Custom   Category/Directory Template Sets </a></strong>($nr)<br>
You can use different category/directory template sets in different categories. Once   you've created a custom template, it is selectable when you are in the 'Directory   Manager'. Each category in the 'Directory Manager' has a 'Template' option. Click on the   option (Example: 'Default') to choose templates for a specific category. The number in the   brackets displayed above indicates the number of sets already created.</p>

];



}




sub get_setup
{

$exists = (-e "$config_cgi");
if ($exists > 0)
	{
	open (STP, "$config_cgi");
		while (defined($line=<STP>))
			{
			if ($line =~ m/#/g)
				{
				$r = pos($line);
				$line = substr($line, 0, $r - 1);
				}
				
				$line =~ s/\n//g;
	
if ($line =~ /^DB_NAME/){$db_name = &get_setup_line($line, DB_NAME);}
if ($line =~ /^DB_USERNAME/){$db_username = &get_setup_line($line, DB_USERNAME);}
if ($line =~ /^DB_PASSWORD/){$db_password = &get_setup_line($line, DB_PASSWORD);}
if ($line =~ /^MYSQL_HOSTNAME/){$mysql_hostname = &get_setup_line($line, MYSQL_HOSTNAME);}
if ($line =~ /^MYSQL_PORT/){$mysql_port = &get_setup_line($line, MYSQL_PORT);}

if ($line =~ /^SCRIPT_URL/){$script_url = &get_setup_line($line, SCRIPT_URL);}
if ($line =~ /^ADMIN_URL/){$admin_url = &get_setup_line($line, ADMIN_URL);}
if ($line =~ /^WEB_URL/){$web_url = &get_setup_line($line, WEB_URL);}
if ($line =~ /^WEB_DIR/){$web_dir = &get_setup_line($line, WEB_DIR);}
if ($line =~ /^DATA_DIR/){$data_dir = &get_setup_line($line, DATA_DIR);}

if ($line =~ /^USERNAME/){$username = &get_setup_line($line, USERNAME);}
if ($line =~ /^PASSWORD/){$password = &get_setup_line($line, PASSWORD);}


			}
	close (STP);
	
	}
}




sub get_setup_line
{
my ($setup_line, $setup_var) = @_;
$crit = "\"";
$setup_line =~ m/$crit/g;
$r1 = pos($setup_line);
$setup_line =~ m/$crit/g;
$r2 = pos($setup_line);
$setup_line = substr($setup_line, $r1, ($r2 - $r1 - 1));
$return_val = $setup_line;
return ($return_val);
}

#### END CONFIGURATION ########################################################

